Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security.provider
Class RemoteUserPersonManager

    java.lang.Object
      org.jasig.portal.security.provider.RemoteUserPersonManager

All Implemented Interfaces:
  IPersonManager

    public class RemoteUserPersonManager

extends java.lang.Object
implements IPersonManager

When retrieving a new person, the value of the `REMOTEUSER` environment variable is passed to the security context. If it is set then the server has authenticated the user and the username may be used for login.

Version:
  $Revision: 1.13.4.2 $
Author:
  Pete Boysen (pboysen@iastate.edu)

Field Summary
`private static org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `REMOTE_USER` Description of the Field

Fields inherited from interface org.jasig.portal.security.IPersonManager
`PERSON_SESSION_KEY`

Constructor Summary
`RemoteUserPersonManager()`

Method Summary
`IPerson` | `getPerson(javax.servlet.http.HttpServletRequest request)` Retrieve an IPerson object for the incoming request

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### REMOTE_USER

    public static final java.lang.String REMOTE_USER

  Description of the Field

  See Also:
    Constant Field Values

Constructor Detail

### RemoteUserPersonManager

    public RemoteUserPersonManager()

Method Detail

### getPerson

    public IPerson getPerson(javax.servlet.http.HttpServletRequest request)
                      throws PortalSecurityException

  Retrieve an IPerson object for the incoming request

  Specified by:
    `getPerson` in interface `IPersonManager`
  Parameters:
    `request` -
  Returns:
    IPerson object for the incoming request
  Throws:
    `PortalSecurityException` - Description of the Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD